com.trendmicro.ds.appcontrol.rest.object.drift

## Class DescribeApplicationResponse

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.DescribeApplicationResponse

-     public class DescribeApplicationResponse
      extends java.lang.Object

  Response object for the DescribeApplication API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescribeApplicationResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ApplicationDetail>` | `getApplicationDetails()` Get the application details of the drift that has occurred within the search scope.
    `java.lang.String` | `getMd5()`
    `java.lang.String` | `getSha1()`
    `java.lang.String` | `getSha256()`
    `void` | `setApplicationDetails(java.util.List<ApplicationDetail> applicationDetails)` Set the application details of the drift that has occurred within the search scope.
    `void` | `setMd5(java.lang.String md5)`
    `void` | `setSha1(java.lang.String sha1)`
    `void` | `setSha256(java.lang.String sha256)`
    `DescribeApplicationResponse` | `withApplicationDetails(java.util.List<ApplicationDetail> applicationDetails)` Set the application details of the drift that has occurred within the search scope.
    `DescribeApplicationResponse` | `withMd5(java.lang.String md5)`
    `DescribeApplicationResponse` | `withSha1(java.lang.String sha1)`
    `DescribeApplicationResponse` | `withSha256(java.lang.String sha256)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DescribeApplicationResponse

          public DescribeApplicationResponse()

  - ### Method Detail

    - #### getApplicationDetails

          public java.util.List<ApplicationDetail> getApplicationDetails()

      Get the application details of the drift that has occurred within the search scope.
      Returns:
        the application details of the drift that has occurred within the search scope.

    - #### setApplicationDetails

          public void setApplicationDetails(java.util.List<ApplicationDetail> applicationDetails)

      Set the application details of the drift that has occurred within the search scope.
      Parameters:
        `applicationDetails` - the application details of the drift that has occurred within the search scope.

    - #### withApplicationDetails

          public DescribeApplicationResponse withApplicationDetails(java.util.List<ApplicationDetail> applicationDetails)

      Set the application details of the drift that has occurred within the search scope.
      Parameters:
        `applicationDetails` - the application details of the drift that has occurred within the search scope.
      Returns:
        the updated DescribeApplicationResponse object

    - #### getMd5

          public java.lang.String getMd5()

      Returns:
        the md5

    - #### setMd5

          public void setMd5(java.lang.String md5)

      Parameters:
        `md5` - the md5 to set

    - #### withMd5

          public DescribeApplicationResponse withMd5(java.lang.String md5)

      Parameters:
        `md5` - the md5 to set

    - #### getSha1

          public java.lang.String getSha1()

      Returns:
        the sha1

    - #### setSha1

          public void setSha1(java.lang.String sha1)

      Parameters:
        `sha1` - the sha1 to set

    - #### withSha1

          public DescribeApplicationResponse withSha1(java.lang.String sha1)

      Parameters:
        `sha1` - the sha1 to set

    - #### getSha256

          public java.lang.String getSha256()

      Returns:
        the sha256

    - #### setSha256

          public void setSha256(java.lang.String sha256)

      Parameters:
        `sha256` - the sha256 to set

    - #### withSha256

          public DescribeApplicationResponse withSha256(java.lang.String sha256)

      Parameters:
        `sha256` - the sha256 to set
      Returns:

Copyright © 2017 Trend Micro Inc. All Rights Reserved.